> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/dedicated-ips/ips-list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List dedicated IPs POST https://mandrillapp.com/api/1.4/ips/list Content-Type: application/json Lists your dedicated IPs. Reference: https://mailchimp.com/developer/transactional/api/dedicated-ips/ips-list ## Request ### Body (application/json) This endpoint expects an IPsListRequest. - `key` (string, required) — A valid Mandrill API key ## Response ### 200 Success - `list of IP` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Types ### IP Information about a dedicated IP address including warmup status and custom DNS configuration - `ip` (string, required) — The IP address (IPv4) - `created_at` (string, required) — The date and time that the dedicated IP was created as a UTC string in YYYY-MM-DD HH:MM:SS format - `pool` (string, required) — The name of the pool that this dedicated IP belongs to - `domain` (string, required) — The domain name (reverse DNS) of this dedicated IP - `custom_dns` (IpCustomDns, required) — Information about the IP's custom DNS configuration - `warmup` (IPsWarmupStatus, required) — Information about the IP's warmup status ### IpCustomDns Information about the IP's custom DNS configuration - `enabled` (boolean, required) — Whether custom DNS has been configured for this IP - `valid` (boolean, required) — Whether the IP's custom DNS is currently valid - `error` (string, optional, nullable) — If the IP's custom DNS is invalid, this will include details about the error ### IPsWarmupStatus Information about an IP's warmup status and schedule - `warming_up` (boolean, required) — Whether the IP is currently in warmup mode - `start_at` (string, optional, nullable) — The start time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format - `end_at` (string, optional, nullable) — The end date and time for the warmup process as a UTC string in YYYY-MM-DD HH:MM:SS format ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig" } ``` **Response** ```json [ { "ip": "127.0.0.1", "created_at": "2013-01-01 15:50:21", "pool": "Main Pool", "domain": "mail1.example.mandrillapp.com", "custom_dns": { "enabled": true, "valid": true, "error": "string" }, "warmup": { "warming_up": true, "start_at": "2013-03-01 12:00:01", "end_at": "2013-03-31 12:00:01" } } ] ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/ips/list" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/ips/list'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/ips/list" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/ips/list") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/ips/list") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/ips/list', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/ips/list"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["key": "ONzNrsmbtNXoIKyfPmjnig"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/ips/list")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.